Merge "Configure CSIT Jenkins view"
[ci-management.git] / jjb / hc2vpp / include-raw-hc2vpp-csit-integration.sh
index 14ce670..e4bbd3f 100644 (file)
@@ -1,16 +1,20 @@
 #!/bin/bash
 set -xeu -o pipefail
 
-# Clone csit and start tests
-if [ ${STREAM} == 'master' ]; then
-    git clone https://gerrit.fd.io/r/csit --branch master
+# Get CSIT branch
+if [ -f csit-test-branch ]; then
+    chmod +x csit-test-branch
+    CSIT_BRANCH=`./csit-test-branch`
 else
-    git clone https://gerrit.fd.io/r/csit --branch 'rls'${STREAM}
+    CSIT_BRANCH='master'
 fi
 
+# Clone csit
+git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}
+
 # If the git clone fails, complain clearly and exit
 if [ $? != 0 ]; then
-    echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch master"
+    echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}"
     exit
 fi